Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Dec 2021 06:49:33 +0100

Juri Linkov <[email-masked]> writes:

> Maybe, add a new function 'clear-message-function-2',
> then in the next release delete 'clear-message-function',
> and after the next release rename 'clear-message-function-2' to
> 'clear-message-function'.

Let's call it `new-message-function', and then in the next release,
`new-message-function-final'?  I think that's more up to industry
standard specs.

> But really it's not worth the trouble.  I counted 60 incompatible
> Lisp changes in Emacs 28.1.  And if we will make this change now,
> the authors will have enough time to adapt their code
> (though I can't find any use of this new variable anywhere).

It's true that it's not likely to have been used a lot, so perhaps it's
an acceptable change in semantics.  Perhaps try a search on Github and
see whether anybody's using it there?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no